/*
 *	Delay functions
 *	See delay.h for details
 *
 *	Make sure this code is compiled with full optimization!!!
 */

#include	"delay.h"

void
DelayMs(unsigned char cnt)
{
	unsigned short	i;

	while (cnt--) {
		i = 63 * (FREQ_MULT);	// 5inst.
		while(i--);			// @14inst.
	} ;
}

void
DelayUs(unsigned char cnt)		// @10us
{
	unsigned char	i;

	while (cnt--) {
		i = (FREQ_MULT);	// 4inst.
		while(i--);		// @6inst.
	} ;
}
