/*
 * fconcom.h	F-CON communication and utilities
 *			Copyright(C)2003 Kashi Electronics Designs,
 *			All Rights Reserved.
 *	Ver 1.0	Sep.8/2003 first release
 *
 *   This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *   This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

extern unsigned char	s_buf[], r_buf[], mon_buf[];
extern char	g_commerr, g_fcontype;

void		init_comm();
void		fcon_getmon16(unsigned char);
short			fcon_GetMonValW( unsigned char );
unsigned char		fcon_GetMonVal( unsigned char );
void		int2str(char *, short);
void		uint2str(char *, unsigned short);
void		im52str( char *, short);
void		i352str(char *, unsigned short);
void		char2str(char *, unsigned char);
void		nchar2str(char *, signed char);
void		c052str(char *, unsigned char);
void		deg2str(char *, unsigned short);
void		cent2str(char *, unsigned short);
void		i1k2str(char *, unsigned short);
void		bool2str(char *, unsigned char);
void		stralign( char *, char);
void		s_rcvflash();
